pub use sea_orm_migration::prelude::*;

mod m20240602_100749_create_typ;
mod m20240602_100754_create_hersteller;
mod m20240602_100800_create_modell;
mod m20240618_151728_create_gruppe;
mod m20240618_151732_create_rolle;
mod m20240618_151739_create_benutzer;
mod m20240619_084657_create_rollen_gruppen;
mod m20240620_121703_create_dienststellen;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20240602_100749_create_typ::Migration),
            Box::new(m20240602_100754_create_hersteller::Migration),
            Box::new(m20240602_100800_create_modell::Migration),
            Box::new(m20240618_151728_create_gruppe::Migration),
            Box::new(m20240618_151732_create_rolle::Migration),
            Box::new(m20240618_151739_create_benutzer::Migration),
            Box::new(m20240619_084657_create_rollen_gruppen::Migration),
            Box::new(m20240620_121703_create_dienststellen::Migration),
        ]
    }
}
